TON Whales Pools
Create Unstake Request
Create the unstake request transaction in the TON Whales pool.
POST
/
api
/
v1
/
ton
/
{network}
/
staking
/
ton-whales
/
unstake
Create Unstake Request
curl --request POST \
--url https://api.p2p.org/api/api/v1/ton/{network}/staking/ton-whales/unstake \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"publicKey": "7031f1dcbe0f670daf4094d04ff9a7947bc4ac9174a7d470255d1a664e20b7c6",
"amount": 200,
"walletVersion": "V4"
}
'import requests
url = "https://api.p2p.org/api/api/v1/ton/{network}/staking/ton-whales/unstake"
payload = {
"publicKey": "7031f1dcbe0f670daf4094d04ff9a7947bc4ac9174a7d470255d1a664e20b7c6",
"amount": 200,
"walletVersion": "V4"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
publicKey: '7031f1dcbe0f670daf4094d04ff9a7947bc4ac9174a7d470255d1a664e20b7c6',
amount: 200,
walletVersion: 'V4'
})
};
fetch('https://api.p2p.org/api/api/v1/ton/{network}/staking/ton-whales/unstake', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"result": {
"unsignedTransaction": "b5ee9c7241010101003800006b000010000000000000000001000000039fedeab7a2b56b38f19f60b5b9f70b2f1ba2d89b9c5a756036c7cfad73571fb281887735940193456f7e",
"walletVersion": "V4",
"poolAddress": "kQDr9Sq482A6ikIUh5mUUjJaBUUJBrye13CJiDB-R31_l7mg",
"stakerAddress": "",
"publicKey": "7031f1dcbe0f670daf4094d04ff9a7947bc4ac9174a7d470255d1a664e20b7c6",
"amount": "2",
"balanceBreakdown": {
"balance": "1000000000",
"pendingDeposit": "500000000",
"pendingWithdraw": "0",
"withdraw": "0"
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
TON network:
- `mainnet` — production network.
- `testnet` — testnet.
Available options:
mainnet, testnet Body
application/json
Public key of the nominator for the TON network.
Example:
"7031f1dcbe0f670daf4094d04ff9a7947bc4ac9174a7d470255d1a664e20b7c6"
Amount of tokens to unstake in nanoGRAMs (1 GRAM = 10⁹ nanoGRAMs, prev. nanoTONs).
Example:
200
Version of the smart contract used by the wallet in the TON blockchain.
Available options:
V3R1, V3R2, V4, V5R1 Example:
"V4"
Create Unstake Request
